#### D.13.2.32 polytopeViaInequalities

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  polytopeViaInequalities(EV [, E [, flags]]); intmat EV,E, int flags

Return:
  polytope consisting of all points x, such that IE*x >= 0 in each component and (if stated) E*x = 0;
  flags may range between 0,..,3 defining an upper and lower bit (0=0*2+0, 1=0*2+1, 2=1*2+0, 3=1*2+1),
  if higher bit is 1, then program assumes each inequality yields a facet, if lower bit is 1, then program assumes the kernel of E is the span of the cone, if either bit is 0, then program computes the information itself.

Example:

    LIB "gfan.lib";
    intmat IE[2][3]=
    1,0,0,
    0,1,0;
    intmat E[1][3]=
    0,0,1;
    polytope p=polytopeViaInequalities(IE,E);
    p;
    ==> AMBIENT_DIM
    ==> 2
    ==> INEQUALITIES
    ==> 0,1,0,
    ==> 1,0,0
    ==> EQUATIONS
    ==> 0,0,1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.